Subject: [DNSOP] I-D Action: draft-ietf-dnsop-5966bis-03.txt

From: [email-masked]
Date: Sun, 20 Sep 2015 05:59:46 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Domain Name System Operations Working Group of the IETF.

        Title           : DNS Transport over TCP - Implementation Requirements
        Authors         : John Dickinson
                          Sara Dickinson
                          Ray Bellis
                          Allison Mankin
                          Duane Wessels
	Filename        : draft-ietf-dnsop-5966bis-03.txt
	Pages           : 18
	Date            : 2015-09-20

Abstract:
   This document specifies the requirement for support of TCP as a
   transport protocol for DNS implementations and provides guidelines
   towards DNS-over-TCP performance on par with that of DNS-over-UDP.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-5966bis/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-dnsop-5966bis-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-5966bis-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Sara Dickinson <[email-masked]>
Date: Sun, 20 Sep 2015 14:09:59 +0100

Hi all, 

An -03 update to the 5966bis draft is now available: draft-ietf-dnsop-5966bis-03

This addresses the comments received since the -02 update:

* Replaced certain lower case RFC2119 keywords to improve clarity.
* Updated section 6.2.2 to recognise requirements for concurrent zone transfers.
* Changed 'client IP address' to 'client IP address or subnet' when discussing restrictions on TCP connections from clients.
* Added reference to edns-tcp-keepalive draft.
* Added wording to introduction to reference Appendix A and state TCP is a valid transport alternative for DNS.
* Improved description of CPNI-TCP as a general reference source on TCP security related RFCs.

We feel this document is now ready to progress and would like to request a Working Group Last Call on this version of the draft. 

Regards

Sara. 

> On 20 Sep 2015, at 13:59, [email-masked] wrote:
> 
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop